App\CoreBundle\Entity\KeyValue:
  type: entity
  table: key_value
  indexes:
    key_value_name_idx:
      columns: [ key_value_name ]
  repositoryClass: App\CoreBundle\Repository\KeyValueRepository
  id:
    id:
      type: string
      unique: true
      generator:
        strategy: CUSTOM
      customIdGenerator:
        class: Ramsey\Uuid\Doctrine\UuidGenerator
  fields:
    key_value_name:
      type: string
      length: 255
    key_value:
      type: text
    created_by:
      type: string
      length: 255
      nullable: true
    created_at:
      type: datetime
    updated_at:
      type: datetime
      nullable: true
  lifecycleCallbacks:
    prePersist: [ setCreatedAtValue ]
    preUpdate: [ setUpdatedAtValue ]